Bug 72249 - Package should probably include "Provides: ucd-snmp".
Package should probably include "Provides: ucd-snmp".
Status: CLOSED WONTFIX
Product: Red Hat Raw Hide
Classification: Retired
Component: net-snmp (Show other bugs)
1.0
All Linux
medium Severity low
: ---
: ---
Assigned To: Phil Knirsch
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-22 08:28 EDT by Troels Arvin
Modified: 2015-03-04 20:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-22 08:29:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Troels Arvin 2002-08-22 08:28:54 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020723

Description of problem:
I suggest that the spec-file for the net-snmp package include a "Provides"
entry, stating the net-snmp provides what ucd-snmp used to provide. This would
make it easier to recompile source RPMs which have dependencies for ucd-snmp.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
Recompile source RPM package which has "BuildRequires: ucd-snmp-devel" defined.

Additional info:

The spec-file for net-snmp should have the following lines added, I think:

In the beginning:
Provides: ucd-snmp

In the '-devel' section:
Provides: ucd-snmp-devel

I tested it lightly, and there doesn't seem to be any problem in having both
Provides and Obsoletes stating the same thing.
Comment 1 Phil Knirsch 2002-08-28 07:55:39 EDT
Problem is, net-snmp and ucd-snmp are not 100% compatible, so doing a Provides
could lead to unwanted problems.

(Hint: ABI and API changes etc.).

So i'll leave the Provides out for now. But thanks for the suggestion.

Read ya, Phil

Note You need to log in before you can comment on or make changes to this bug.